KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoDataBalloonStyle Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataColorStyle → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Enumerations
DisplayMode | { Default, Hide }
## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataBalloonStyle other)
QColor | backgroundColor (self)
Marble.GeoDataBalloonStyle.DisplayMode | displayMode (self)
QString | nodeType (self)
| pack (self, QDataStream stream)
| setBackgroundColor (self, QColor color)
| setDisplayMode (self, Marble.GeoDataBalloonStyle.DisplayMode mode)
| setText (self, QString text)
| setTextColor (self, QColor color)
QString | text (self)
QColor | textColor (self)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataBalloonStyle | other
| ) |  |  |

QColor backgroundColor | ( |  | self ) |

Marble.GeoDataBalloonStyle.DisplayMode displayMode | ( |  | self ) |

QString nodeType | ( |  | self ) |

Provides type information for downcasting a GeoNode

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

setBackgroundColor | ( | self, |
|  | QColor | color
| ) |  |  |

setDisplayMode | ( | self, |
|  | Marble.GeoDataBalloonStyle.DisplayMode | mode
| ) |  |  |

setText | ( | self, |
|  | QString | text
| ) |  |  |

setTextColor | ( | self, |
|  | QColor | color
| ) |  |  |

QString text | ( |  | self ) |

QColor textColor | ( |  | self ) |

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

## Enumeration Documentation

DisplayMode

Enumerator:

  Default |
  Hide |